<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="dataConfiguration" type="Microsoft.Practices.EnterpriseLibrary.Data.Configuration.DatabaseSettings, Microsoft.Practices.EnterpriseLibrary.Data, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="true"/>
    <section name="loggingConfiguration" type="Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.LoggingSettings, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" requirePermission="true"/>
  </configSections>
  <!--日志配置-->
  <loggingConfiguration name="" tracingEnabled="true" defaultCategory="General">
    <listeners>
      <add name="GeneralListener" type="Microsoft.Practices.EnterpriseLibrary.Logging.TraceListeners.RollingFlatFileTraceListener, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        listenerDataType="Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.RollingFlatFileTraceListenerData, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        fileName="General\rolling.log" formatter="Text Formatter" rollFileExistsBehavior="Increment"
        rollInterval="Day" maxArchivedFiles="0" traceOutputOptions="None" />
      <add name="SockListener" type="Microsoft.Practices.EnterpriseLibrary.Logging.TraceListeners.RollingFlatFileTraceListener, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        listenerDataType="Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.RollingFlatFileTraceListenerData, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        fileName="Sock\rolling.log" formatter="Text Formatter" rollInterval="Day" />
      <add name="ScanListener" type="Microsoft.Practices.EnterpriseLibrary.Logging.TraceListeners.RollingFlatFileTraceListener, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        listenerDataType="Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.RollingFlatFileTraceListenerData, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        fileName="Scan\rolling.log" formatter="Text Formatter" rollInterval="Day" />
      <add name="SqlListener" type="Microsoft.Practices.EnterpriseLibrary.Logging.TraceListeners.RollingFlatFileTraceListener, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        listenerDataType="Microsoft.Practices.EnterpriseLibrary.Logging.Configuration.RollingFlatFileTraceListenerData, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        fileName="SQL\logSql.log" formatter="Text Formatter" rollInterval="Day" />
    </listeners>
    <formatters>
      <add type="Microsoft.Practices.EnterpriseLibrary.Logging.Formatters.TextFormatter, Microsoft.Practices.EnterpriseLibrary.Logging, Version=5.0.414.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
        template="Timestamp: {timestamp}{newline}&#xA;Message: {message}"
        name="Text Formatter" />
    </formatters>
    <categorySources>
      <add switchValue="All" name="General">
        <listeners>
          <add name="GeneralListener" />
        </listeners>
      </add>
      <add switchValue="All" name="Sock">
        <listeners>
          <add name="SockListener" />
        </listeners>
      </add>
      <add switchValue="All" name="AdapterScan">
        <listeners>
          <add name="ScanListener" />
        </listeners>
      </add>
      <add switchValue="All" name="SQL">
        <listeners>
          <add name="SqlListener" />
        </listeners>
      </add>
    </categorySources>
    <specialSources>
      <allEvents switchValue="All" name="All Events" />
      <notProcessed switchValue="All" name="Unprocessed Category" />
      <errors switchValue="All" name="Logging Errors &amp; Warnings" />
    </specialSources>
  </loggingConfiguration>
  <dataConfiguration defaultDatabase="DefaultDB"/>
  <connectionStrings>
    <!--<add name="DefaultDB" connectionString="Data Source=172.19.20.65;
                       Initial Catalog=HL7_Platform;
                       Persist Security Info=True;
                       Integrated Security=False;
                       User ID=sa;Password=sa65" providerName="System.Data.SqlClient"/>

    <add name="HealthCare" connectionString="Data Source=172.19.20.65;
                       Initial Catalog=HealthCare;
                       Persist Security Info=True;
                       Integrated Security=False;
                       User ID=sa;Password=sa65" providerName="System.Data.SqlClient"/>-->

    <add name="DefaultDB" connectionString=".;
                       Initial Catalog=HL7_Platform;
                       Persist Security Info=True;
                       Integrated Security=False;
                       User ID=sa;Password=123" providerName="System.Data.SqlClient"/>

    <add name="HealthCare" connectionString="Data Source=.;
                       Initial Catalog=HL7_Platform; 
                       User ID=sa;Password=123" providerName="System.Data.SqlClient"/>

  </connectionStrings>
  <appSettings>
    <!--启动SQL日志-->
    <add key="LogSql" value="1"/>
  </appSettings>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/>
  </startup>
</configuration>
